<xml></xml>

Saxon API for .NET |

# XsltCompiler Methods

The methods of the XsltCompiler class are listed below. For a complete list of XsltCompiler class members, see the XsltCompiler Members topic.

#### Public Instance Methods

Compile | Overloaded. Compile a stylesheet supplied as a Stream.
CompileAssociatedStylesheet | Locate and compile a stylesheet identified by an <?xml-stylesheet?> processing instruction within a source document.
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Object) | Returns a String that represents the current Object.

#### Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

#### See Also

XsltCompiler Class | Saxon.Api Namespace